### Signal

# RB RhythmDB::read-only

#### Declaration

    void
    read_only (
      RhythmDB* self,
      gboolean readonly,
      gpointer user_data
    )

#### Description [src]

Emitted when the database becomes temporarily read-only, or becomes writeable after being read-only.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`readonly`

  Type: `gboolean`

  `TRUE` if the database is read-only.